GET /api/v1/sites/{site_id}/alarms/count

mist.com

Summary: countSiteAlarms
Operation ID: countSiteAlarms
Auth: unknown
Description

Count Site Alarms

Parameters (12)

ack_admin_name (string, query, optional)

Name of the admins who have acked the alarms; accepts multiple values separated by comma

acked (boolean, query, optional)
distinct (string, query, optional, default: type)

Group by and count the alarms by some distinct field

Constraints: {'enum': ['type', 'acked', 'severity', 'group']}

duration (string, query, optional, default: 1d)

For historical stats and/or logs where time range is needed, you can specify the time range in a few different ways: * ?start=1430000000&end=1430864000 specify the start / end * ?end=1430864000&duration=1d specify end time and duration * ?duration=1d specify duration, end will be now() in seconds

end (integer, query, optional, default: 0)

Constraints: {'minimum': 0}

group (string, query, optional)

Alarm group name; accepts multiple values separated by comma

limit (integer, query, optional, default: 100)

Constraints: {'minimum': 0}

page (integer, query, optional, default: 1)

Constraints: {'minimum': 1}

severity (string, query, optional)

Alarm severity; accepts multiple values separated by comma

site_id (string, path, required)
start (integer, query, optional, default: 0)

Constraints: {'minimum': 0}

type (string, query, optional)

Key-name of the alarms; accepts multiple values separated by comma

No probe data for this endpoint yet.